Get a list
GET
/workspaces/{workspaceId}/lists/{listId}
Get the specified list given its ID.
Parámetros de ruta
workspaceId
string
The unique identifier of the workspace.
listId
string
The ID of a list.
Cuerpo de la respuesta
id
string
obligatorio
The unique identifier for the list.
name
string
obligatorio
The name of the list.
description
string
obligatorio
The description of the list.
createdAt
string
updatedAt
string
contactCount
integer
The number of contacts in the list.
consentType
string
The consent type for the list.
Possible values: single, double
tags
array of string
The tags associated with the list.
isProof
boolean
The list is used as a proof list to use it as a test list in campaigns.
counter
object
Mostrar atributos secundarios
counter.count
integer
obligatorio
counter.updatedAt
string
obligatorio
Ejemplo de código
curl -X GET 'https://api.bird.com/workspaces/{workspaceId}/lists/{listId}' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'Examples
Let's establish some of our data that will be used in the following examples:
- Workspace ID: a1405560-c8d3-4b1a-877d-3f449ad95352
- AccessKey: abcd
- List ID: 123e4567-e89b-12d3-a456-426614174000
Get a list
In this example, we are fetching the list given its ID.
Ejemplo de código
curl -X GET "https://api.bird.com/workspaces/a1405560-c8d3-4b1a-877d-3f449ad95352/lists/123e4567-e89b-12d3-a456-426614174000" \
-H "Content-Type: application/json" \
-H "Authorization: AccessKey abcd"Ejemplo de código
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"name": "US Customers",
"description": "US Customers",
"contactCount": 0,
"tags": [
"123e4567-e89b-12d3-a456-426614174000"
],
"isProof": false,
"consentType": "single",
"createdAt": "2024-11-26T15:00:00.000Z",
"updatedAt": "2024-11-26T15:00:00.000Z"
}